com.hazelcast.core

## Enum EntryEventType

- java.lang.Object
- - java.lang.Enum<EntryEventType>
  - - com.hazelcast.core.EntryEventType

- All Implemented Interfaces:
    Serializable, Comparable<EntryEventType>

      public enum EntryEventType
      extends Enum<EntryEventType>

  Type of entry event.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED`
    `CLEAR_ALL`
    `EVICT_ALL`
    `EVICTED`
    `EXPIRED`
    `INVALIDATION`
    `MERGED`
    `REMOVED`
    `UPDATED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntryEventType` | `getByType(int typeId)`
    `int` | `getType()`
    `static EntryEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EntryEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final EntryEventType ADDED

    - #### REMOVED

          public static final EntryEventType REMOVED

    - #### UPDATED

          public static final EntryEventType UPDATED

    - #### EVICTED

          public static final EntryEventType EVICTED

    - #### EVICT_ALL

          public static final EntryEventType EVICT_ALL

    - #### CLEAR_ALL

          public static final EntryEventType CLEAR_ALL

    - #### MERGED

          public static final EntryEventType MERGED

    - #### EXPIRED

          public static final EntryEventType EXPIRED

    - #### INVALIDATION

          public static final EntryEventType INVALIDATION

  - ### Method Detail

    - #### values

          public static EntryEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntryEventType c : EntryEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntryEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

      Returns:
        the event type ID.

    - #### getByType

          public static EntryEventType getByType(int typeId)

      Returns:
        the matching EntryEventType for the supplied `typeId` or null if there is no match.

Copyright © 2018. All rights reserved.